<?php
/**
 * Initialize plugin translations
 * 
 * @return void
 */
function plugin_init_soc_translations() {
   global $CFG_GLPI;
   
   $domain = 'soc';
   $locale_dir = GLPI_ROOT . '/plugins/soc/locales/';
   
   if (file_exists($locale_dir)) {
      // Load plugin translations
      $GLOBALS['LANG']->addTranslationFile('gettext', $locale_dir, $domain, $_SESSION['glpilanguage']);
   }
}